<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Traitement d'un caract&egrave;re</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 // --- on récupère les données ---
 $Saisie=$_POST['Saisie'] ;
 // --- on traite les données ---
 $Lettre=$Saisie[0]      ;
 $NumAscii=ord($Lettre)  ;
 if (($Lettre >= "A") && ($Lettre <= "Z"))
 {
    $Rang = $NumAscii-64 ;
    echo "$Lettre est la MAJUSCULE num&eacute;ro : $Rang".WEB_EOL ;
 }
 elseif (($Lettre >= "a") && ($Lettre <= "z"))
 {
    $Rang = $NumAscii-96 ;
    echo "$Lettre est la minuscule num&eacute;ro : $Rang".WEB_EOL ;
 }
 else
 {
    echo "$Lettre n'est pas une lettre de l'alphabet".WEB_EOL ;
 }
 ?>
 </body>
</html>